-- Tool handles
minetest.register_craftitem("lotttools:stick_handle", {
	description = "Stick Tool Handle",
	inventory_image = "lotttools_stick_handle.png",
	groups = {stick = 2, tool_handle = 1},
})

-- Tool bindings

minetest.register_craftitem("lotttools:twine", {
	description = "Twine",
	inventory_image = "lotttools_twine.png",
	groups = {twine = 1, tool_binding = 1},
})

minetest.register_craftitem("lotttools:stick_binding", {
	description = "Stick Binding",
	inventory_image = "lotttools_stick_binding.png",
	groups = {stick = 2, tool_binding = 1},
})

minetest.register_craftitem("lotttools:flint_binding", {
	description = "Flint Binding",
	inventory_image = "lotttools_flint_binding.png",
	groups = {twine = 1, tool_binding = 1},
})

minetest.register_craftitem("lotttools:lead_peg", {
	description = "Lead Peg",
	inventory_image = "lotttools_lead_peg_binding.png",
	groups = {lead = 1, tool_binding = 1},
})

minetest.register_craftitem("lotttools:iron_peg", {
	description = "Iron Peg",
	inventory_image = "lotttools_iron_peg_binding.png",
	groups = {iron = 1, tool_binding = 1},
})

-- Some crafts

minetest.register_craft({
	type = "shapeless",
	output = "lotttools:twine 2",
	recipe = {"group:grass", "group:grass", "group:grass", "group:grass"},
})

minetest.register_craft({
	type = "shapeless",
	output = "lotttools:flint_binding",
	recipe = {"lottitems:flint", "lottitems:flint"},
})

minetest.register_craft({
	type = "shapeless",
	output = "lotttools:stick_binding",
	recipe = {"lottitems:stick", "lottitems:stick"},
})

-- TODO: Make the metal crafts require ingots...

